Pax Runner Connector should download a specific version of runtime/zombie

Description

Pax Runner connector should get the version required for runtime & zombie (written by Maven) and download that specific version.

From the OPS4J mailing list
-----------------------------
Yes you are correct that this is a source of trouble. But: the
versions must match the version of the connector (pax-drone-connector-
paxrunner) itself.
So, in current trunk 0.1.3-SNAPSHOT is the way to go - and in 0.1.2
must be 0.1.2
The version should be picked by an external setting that is written by
maven.

If you can, i would like to ask you changing this direclty in the svn ?
Maybe you can have a look at one of the latest changesets in paxrunner
(http://scm.ops4j.org/changelog/OPS4J/projects/pax/runner?cs=12335)
where Alin added this to paxrunner.

Otherwise i can do this. but not earlier than friday.

Thanks for the bug.
Please raise a jira on that anyway.

greets,
Toni

  • Hide quoted text -

On 23.07.2008, at 17:51, Hendy Irawan wrote:

> ceefour@caliva:~/project/ops4j/pax-drone$ svn diff
> Index: connector/paxrunner/src/main/java/org/ops4j/pax/drone/
> connector/paxrunner/intern/PaxRunnerConnectorImplementation.java
> ===================================================================
> — connector/paxrunner/src/main/java/org/ops4j/pax/drone/connector/
> paxrunner/intern/PaxRunnerConnectorImplementation.java (revision
> 12397)
> +++ connector/paxrunner/src/main/java/org/ops4j/pax/drone/connector/
> paxrunner/intern/PaxRunnerConnectorImplementation.java (working
> copy)
> @@ -114,8 +114,8 @@
>
> List<String> full = new ArrayList<String>();
> // first of all, paxrunner needs a zombie for remote control
> - full.add( "scan-bundle:mvn:org.ops4j.pax.drone/pax-drone-
> zombie@update" );
> - full.add( "scan-bundle:mvn:org.ops4j.pax.drone/pax-drone-
> runtime@update" );
> + full.add( "scan-bundle:mvn:org.ops4j.pax.drone/pax-drone-
> zombie/0.1.2@update" );
> + full.add( "scan-bundle:mvn:org.ops4j.pax.drone/pax-drone-
> runtime/0.1.2@update" );
>
> for( String s : getBundles() )
> {
>
> I guess this would help.
>
> –
> Best regards,
> Hendy Irawan

Environment

None

Assignee

Toni Menzel

Reporter

Hendy Irawan

Labels

None

Components

Fix versions

Affects versions

Priority

Major
Configure